Package Details: pango-git 1.37.1.3744.65214f2-1

Git Clone URL: https://aur.archlinux.org/pango-git.git (read-only)
Package Base: pango-git
Description: A library for layout and rendering of text
Upstream URL: http://gnome.org/
Licenses: LGPL
Conflicts: pango
Provides: pango=1.37.1.3744.65214f2
Submitter: None
Maintainer: lubosz
Last Packager: lubosz
Votes: 7
Popularity: 0.007335
First Submitted: 2011-07-04 09:11
Last Updated: 2015-07-13 14:38

Required by (177)

Sources (2)

Latest Comments

Polarina commented on 2015-05-31 09:09

pango-git depends on /usr/bin/pango-querymodules, but it isn't provided by this package nor any of its dependencies.

yuyichao commented on 2013-08-09 14:30

@zheoffec
File a bug to pacaur and let them support pkgbase.

marcoms commented on 2013-08-09 14:27

:: Could not read pango-git PKGBUILD: badly packaged tarball

- output when installing from pacaur

techlive commented on 2013-05-27 15:38

@yuyichao, okay, thanks.

yuyichao commented on 2013-05-27 15:37

option emptydirs......

techlive commented on 2013-05-27 15:35

@yuyichao, I knew that, I mean, how do you fix it?

yuyichao commented on 2013-05-27 15:34

....... well, whenever u get an error like this from shell, you know it is because the directory doesn't exist...

techlive commented on 2013-05-27 15:33

@yuyichao, then, where is the problem?

yuyichao commented on 2013-05-27 15:30

Fixed.

They mustn't! See `pacman --root` as well as any official pkgbuild's.

techlive commented on 2013-05-27 15:21

Got an error:

/tmp/alpm_ejsxqj/.INSTALL: line 6: etc/pango/pango.modules: No such file or directory

After looking at the pango.install, why all the paths are not prefixed with '/'?

yuyichao commented on 2013-04-21 03:32

I will update pkgver() later, but I will not use makepkg to download the git repo since it doesn't support a lot of features I need. (e.g. switching between multiple remote urls without removing local cache).

haawda commented on 2013-04-21 03:26

I fixed my bug. Nevertheless you can find a pacman-4.1-compliant PKGBUILD at http://paste.pound-python.org/show/32502/

haawda commented on 2013-04-20 16:12

I do not think so.

yuyichao commented on 2013-03-18 13:41

@StefanHusmann and that is your bug.

haawda commented on 2013-03-18 13:39

Well, my tool autoaur cannot handle this, yet.

yuyichao commented on 2013-03-17 13:14

@StefanHusamann
This shouldn't be a problem. It is just the name makepkg generate when pkgbase is provided and AUR helper should also be able to handle it correctly.

haawda commented on 2013-03-17 13:11

Right now I am trying. I am currently rebuilding the dependencies. I just saw that fontconfig-git has the same problem.

yuyichao commented on 2013-03-17 12:57

@StefanHusmann

Do you have any problem building the package? "pango" is just pkgbase.

haawda commented on 2013-03-17 12:39

This tarball is uploaded incorrectly:
drwxr-xr-x root/root 0 pango/
-rw-r--r-- root/root 475 pango/pango.install
-rw-r--r-- root/root 1123 pango/PKGBUILD

where it should be
drwxr-xr-x root/root 0 pango-git/
-rw-r--r-- root/root 475 pango-git/pango.install
-rw-r--r-- root/root 1123 pango-git/PKGBUILD

Please reupload.

unknown commented on 2012-08-29 13:52

Please add harfbuzz-git as a dependency.

bzt commented on 2011-08-24 09:21


Could you change the provides variable, so it actually provides pango (or use the PKGBUILD from below)?

Franek commented on 2011-08-23 19:58

This PKGBUILD didn't work for me for some reasons. This one does: https://gist.github.com/1166329